-- 购买道具tips界面
Lua_ItemDirectBuyWindow = class("Lua_ItemDirectBuyWindow", Lua_ThirdSizeWindow)
function Lua_ItemDirectBuyWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(121619));

	self.windowName = "Lua_ItemDirectBuyWindow";
	self.skinName = "ItemDirectBuyWindow_skin";
	self.w = 605;
	self.h = 433;
	self.isClickClose = true;
end

function Lua_ItemDirectBuyWindow:buildShowItem()
	self:superCall("buildShowItem");
	
	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setLocation(0, 87, 0);

	self.cancelBtn:addClickFuntion(self, self.hide);
	self.okBtn:addClickFuntion(self, self.onOkClick);
end

function Lua_ItemDirectBuyWindow:onOkClick(go)
	if self.owner ~= nil and self.callBack ~= nil then
		self.callBack(self.owner);
	end
	self:hide();
end

function Lua_ItemDirectBuyWindow:showWin(param)
	self.owner = param.owner;
	self.callBack = param.callBack;
	self.costConfirmTxt.text = param.info;

	self.itemId = param.itemId;
	self.needNum = param.needNum;
	local itemNum = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(self.itemId);
	local tvo =  Lua_ToolVo.createToolVo(self.itemId, 1, 1);
	self.itemImg.data = tvo;
	self.itemImg:showNumLimit(itemNum, self.needNum, 2);
end

function Lua_ItemDirectBuyWindow:dispose()
	self.owner = nil;
	self.callBack = nil;
	self:superCall("dispose");
end