-- 基础属性
Lua_ItemDetailSoulProp = class("Lua_ItemDetailSoulProp", Lua_DragContainerItem);
function Lua_ItemDetailSoulProp:ctor(p, isChangePos)
	self:superCall("ctor", p, "ItemDetailSoulProp_skin");

	if isChangePos then
		self.desBg:setLocation(-213, 0, 0);
		self.desLabel:setLocation(-203, -16, 0);
		self.propTxt:setLocation(-203, -40, 0);
	end
end

function Lua_ItemDetailSoulProp:setData(val)
	self.data = val;

	if val.subType == Lua_PackTypeDefine.GATHERSOUL_ITEM then -- 灵魂
		self.desLabel.text = LanUtil.getValue(128207);
		self.propTxt.text = val.soulTipsProp;
	elseif val.subType == Lua_PackTypeDefine.CARD_ITEM then -- 卡牌
		self.desLabel.text = LanUtil.getValue(128208);
		self.propTxt.text = val.basicsProp;
	elseif val.subType == Lua_PackTypeDefine.STAMP_ITEM then -- 魂印
		self.desLabel.text = LanUtil.getValue(128208);
		self.propTxt.text = val.stampBaseProp;
	elseif val.subType == Lua_PackTypeDefine.ARMY_EQUIP_ITEM then -- 军装
		self.desLabel.text = LanUtil.getValue(140526);
		self.propTxt.text = val.armyBaseProp;
	end
end

function Lua_ItemDetailSoulProp:getHeight()
	return self.propTxt.height + 40;
end