-- 组合属性
Lua_ItemlDetailGroupProp = class("Lua_ItemlDetailGroupProp", Lua_DragContainerItem);
function Lua_ItemlDetailGroupProp:ctor(p)
	self:superCall("ctor", p, "ItemlDetailGroupProp_skin");

	self.arr = Array();
end

function Lua_ItemlDetailGroupProp:setData(val)
	local posY = -40
	local arr = val.getCardGroupProp;
	for i = 1, arr:getSize() do
		desLab = UICreate.createLabel(self.content, "", -161, posY, 315, 30, 20);
		desLab.pivot = UIWidget.Pivot.TopLeft;
		desLab.overflowMethod = UILabel.Overflow.ResizeHeight;
		desLab.spacingY = 10;
		desLab.text = arr[i];
		self.arr:add(desLab);

		posY = posY - desLab.height;
	end
end

function Lua_ItemlDetailGroupProp:getHeight()
	local height = 0;
	for i = 1, self.arr:getSize() do
		height = height + self.arr[i].height;
	end
	return 40 + height;
end

function Lua_ItemlDetailGroupProp:dispose()
	if self.arr ~= nil then
		self.arr:dispose();
		self.arr:clear();
		self.arr = nil;
	end

	self:superCall("dispose")
end