-- 兽灵加成
Lua_ItemDetailBeastSoulAttr = class("Lua_ItemDetailBeastSoulAttr", Lua_DragContainerItem);
function Lua_ItemDetailBeastSoulAttr:ctor(p)
	self:superCall("ctor", p, "ItemDetailBeastSoulAttr_skin");
end

function Lua_ItemDetailBeastSoulAttr:setData(val)
	self.data = val;
	if val.subType == Lua_PackTypeDefine.ZODIAC_EQUIP_ITEM then -- 生肖装备
		self.desLabel.text = LanUtil.getValue(143488);
		if self.data.equipment ~= nil and self.data.equipment.zodiac_attr ~= nil then -- 兽灵加成
			local str = "";
			if self.data.equipment.zodiac_attr.base_attr > 0 then -- 基础属性加成
				str = LanUtil.getValue(143464).."+"..(self.data.equipment.zodiac_attr.base_attr * 100).."%";
			end
	        if self.data.equipment.zodiac_attr.great_attr > 0 then -- 极品属性加成
				str = str.."\n"..LanUtil.getValue(110852).."+"..(self.data.equipment.zodiac_attr.great_attr * 100).."%";
			end
			if str == "" then
				str = LanUtil.getValue(20);
			end
			self.propTxt.text = str;
		end
	end
end

function Lua_ItemDetailBeastSoulAttr:getHeight()
	return self.propTxt.height + 42;
end

function Lua_ItemDetailBeastSoulAttr:getOffsetX()
    return -45;
end