Lua_ItemDetailEquZhuLing = class("Lua_ItemDetailEquZhuLing", Lua_DragContainerItem);
function Lua_ItemDetailEquZhuLing:ctor(p)
	self.paramList = Array();
	self.skillItemList = Array();
	self:superCall("ctor", p, "ItemDetailEquZhuLing_skin", false);
end

function Lua_ItemDetailEquZhuLing:setData(val)
	if val.zhuLingName == nil or val.zhuLingName == "" then
		self.zhulingLabel.text = LanUtil.getValue(124147);
		self.height = 40;
	else
		self.zhulingLabel.text = val.zhuLingName;
		self.height = 40;

		local item;
		local str;
		for i = 1, val.zhuLingAttr:getSize() do
			str = val.zhuLingAttr[i].attrName.."：";
			if val.zhuLingAttr[i].isPercent == true then
				str = str..val.zhuLingAttr[i].value .. "%";
			else
				str = str..val.zhuLingAttr[i].value;
			end
			item = Lua_ItemParam.new(self.content);
			item:setValue(str);
			item:setLocation(-203, -self.height - 10 - 30 * (i - 1));
			self.paramList:add(item);
		end
		self.height = self.height + 30 * self.paramList:getSize();

		local skills = Lua_ZhuLingUtil.getZhuLingSkillArr(1, val.equPart, val.zhuLingIndex);
		for i = 1, skills:getSize() do
			str = skills[i].name.."Lv."..skills[i].skill_lvl..":"..skills[i].reMark;
			item = Lua_ItemParam.new(self.content);
			item:setValue(str);
			item:setLocation(-203, -self.height - 10 - 30 * (i - 1));
			self.skillItemList:add(item);
		end
		self.height = self.height + 30 * self.skillItemList:getSize();
	end
end

function Lua_ItemDetailEquZhuLing:getHeight()
	return self.height;
end