Lua_ItemDetailOutPut = class("Lua_ItemDetailOutPut", Lua_DragContainerItem);
function Lua_ItemDetailOutPut:ctor(p, t)
	if t == 1 then
		self:superCall("ctor", p, "ItemEquDetailOutPut_skin");
	else
		self:superCall("ctor", p, "ItemDetailOutPut_skin");
	end
end

function Lua_ItemDetailOutPut:buildShowItem()
	self:superCall("buildShowItem");

	self.outputTxt.clickScale = false;
	self.outputTxt:addUrlClickFuntion(self, self.onDescTxtUrlClick);
end

function Lua_ItemDetailOutPut:setData(val)--"[url=out|Lua_RoleMainWindow|1|0|0][u]"..val.outputDes.."[/u][/url]";
	self.data = val;
	self.outputTxt.text = val.outputDes;
end

function Lua_ItemDetailOutPut:getHeight()
	return self.outputTxt.height + 40;
end

function Lua_ItemDetailOutPut:onDescTxtUrlClick(url)
	local list = self.data:getOutputDesInfo(url);
	if list ~= nil and Lua_PackUtil.checkOpenWinFunOpen(list) == true then
		if self.data.type == 8 then --灵魂特殊处理
			Lua_PackUtil.openWinByList(list, self.data, nil, false);
		else
			local itemID;
			if list[1].winName == "Lua_ShopWindow" and list[1].itemID ~= nil then
				if type(list[1].itemID) == "table" then
					itemID = list[1].itemID[DataCenter.roleData.career];
				elseif type(list[1].itemID) == "number" then
					itemID = list[1].itemID;
				end
			end
			Lua_PackUtil.openWinByList(list, nil, nil, false, itemID);
		end

		Lua_WindowUtil.openWin("Lua_ItemTwoEquDetailWindow", WinParam.ACTION_CLOSE);
		Lua_WindowUtil.openWin("Lua_ItemEquDetailWindow", WinParam.ACTION_CLOSE);
		Lua_WindowUtil.openWin("Lua_ItemDetailWindow", WinParam.ACTION_CLOSE);
		Lua_WindowUtil.openWin("Lua_OutputWindow", WinParam.ACTION_CLOSE);
        Lua_WindowUtil.openWin("Lua_ForgingWindow", WinParam.ACTION_CLOSE);
	end

	-- local arr = string.split(url, "|");
	-- if arr[1] == "out" then
	-- 	local winName = arr[2];
	-- 	local tabIndex = tonumber(arr[2]);
	-- 	local actId = tonumber(arr[3]);
	-- 	local openId = tonumber(arr[4]);
	-- 	if openId ~= 0 and DataCenter.funcOpenData:isOpened(openId) == false then
	-- 		local s = getConfig({"func_open", openId, "advance_message"});
	-- 		if s ~= nil then
	-- 			OperateAlert.show(s);
	-- 		end
	-- 		return;
	-- 	end
	-- 	if actId ~= 0 then
	-- 		local adata = DataCenter.xianshiData:getDataById(actId);
	-- 		if adata ~= nil then
	-- 			if adata.activity_state == 0 or adata.activity_state == 3 then
	-- 				OperateAlert.show(LanUtil.getValue(110646));
	-- 				return;
	-- 			end
	-- 			if DataCenter.roleData.level < adata.limit_level then
	-- 				OperateAlert.show(LanUtil.getValue(110647));
	-- 				return;
	-- 			end
	-- 		end
	-- 	end
	-- 	Lua_WindowUtil.openWin("Lua_ItemTwoEquDetailWindow", WinParam.ACTION_CLOSE);
	-- 	Lua_WindowUtil.openWin("Lua_ItemEquDetailWindow", WinParam.ACTION_CLOSE);
	-- 	Lua_WindowUtil.openWin("Lua_ItemDetailWindow", WinParam.ACTION_CLOSE);
	-- 	if tabIndex == 0 then
	-- 		Lua_WindowUtil.openWin(winName)
	-- 	else
	-- 		Lua_WindowUtil.openWin(winName,nil,{openIdx = tabIndex})
	-- 	end
	-- end
end