Lua_ItemGoodParam = class("Lua_ItemGoodParam", Lua_DragContainerItem);
function Lua_ItemGoodParam:ctor(p, isChangePos)
	self:superCall("ctor", p, "ItemGoodParam_skin");

	if isChangePos then
		self.desBg:setLocation(-171, 0, 0);
		self.desLabel:setLocation(-161, -16, 0);
		self.infoTxt:setLocation(-161, -40, 0);
	end
end

function Lua_ItemGoodParam:setData(val)
	local str = "";
	self.data = val;
	if val.subType == Lua_PackTypeDefine.STAMP_ITEM then
		self.infoTxt.text = val.stampGoodProp;
	else
		if val.equipment ~= nil and val.equipment.attr ~= nil and #val.equipment.attr > 0 then
			if val.packTpe == 1 or val.packTpe == 2 then
				self.desLabel.text = LanUtil.getValue(110852);
			else
				if val.star == 0 or val.star == nil then
					self.desLabel.text = LanUtil.getValue(110853);
				else
					self.desLabel.text = LanUtil.formateStr(LanUtil.getValue(110877), tostring(val.star));
				end
			end
			if val.subType == Lua_PackTypeDefine.SHENSHOU_EQU then
				self.desLabel.text = LanUtil.getValue(110896);
			else
				self.desLabel.text = LanUtil.getValue(110852);
			end

			local info;
			for i = 1, #val.equipment.attr do
				info = val.equipment.attr[i];
				str = str..Lua_PackUtil.genAttName(info);
				if i ~= #val.equipment.attr then
					str = str.."\n";
				end
			end
		else
			self.desLabel.text = LanUtil.getValue(110853);
			str = val.legend;
		end
		self.infoTxt.text = str;
	end
end

function Lua_ItemGoodParam:getHeight()
	return self.infoTxt.height + 40;
end