Lua_ItemParam = class("Lua_ItemParam", Lua_DisplayObject);
function Lua_ItemParam:ctor(p)
	self:superCall("ctor", p, "ItemParam_skin");
end

function Lua_ItemParam:setParam(t, val1, val2, strongVal)
	local str = "[85A8BE]" .. Lua_ThingDefine.getParamName(t) .. "：[-]";
	if t == "attack" and val2 ~= 0 then
		str = str..val1 .. " - " .. val2;
	else
		str = str..val1;
	end

	if Lua_ThingDefine.isPercentParam(t) then
		str = str .. "%";
	end

	if strongVal ~= nil and strongVal ~= 0 then
		str = str .. "[" .. Lua_ColorDefine.GREEN_STR .. "]" .. LanUtil.formateStr(LanUtil.getValue(110851), tostring(strongVal)) .. "[-]";
	end
	self.desLab.text = str;
end

function Lua_ItemParam:setValue(val)
	self.desLab.text = val;
end