-- 组合技能
Lua_ItemlDetailSkillName = class("Lua_ItemlDetailSkillName", Lua_DragContainerItem);
function Lua_ItemlDetailSkillName:ctor(p)
	self:superCall("ctor", p, "ItemlDetailSkillName_skin");

	self.arr = Array();
end

function Lua_ItemlDetailSkillName:setData(data)
	local arr1 = data.cardGroupVo;
	local posY = -40;
	local nameLab;
	for i = 1, arr1:getSize() do
		nameLab = UICreate.createLabel(self.content, "", -161, posY, 315, 30, 20);
		nameLab.pivot = UIWidget.Pivot.TopLeft;
		nameLab.overflowMethod = UILabel.Overflow.ResizeHeight;
		nameLab.spacingY = 10;
		nameLab.text = arr1[i].name;
		self.arr:add(nameLab);

		posY = posY - nameLab.height;
	end

	local arr2 = data.getCardGroupName;
	posY = -40 - arr1:getSize() * 30;
	local desLab;
	for i = 1, arr2:getSize() do
		desLab = UICreate.createLabel(self.content, "", -161, posY, 315, 30, 20);
		desLab.pivot = UIWidget.Pivot.TopLeft;
		desLab.overflowMethod = UILabel.Overflow.ResizeHeight;
		desLab.spacingY = 10;
		desLab.text = arr2[i];
		self.arr:add(desLab);

		posY = posY - desLab.height;
	end
end

function Lua_ItemlDetailSkillName:getHeight()
	local height = 0;
	for i = 1, self.arr:getSize() do
		height = height + self.arr[i].height;
	end
	return 40 + height;
end

function Lua_ItemlDetailSkillName:dispose()
	if self.arr ~= nil then
		self.arr:dispose();
		self.arr:clear();
		self.arr = nil;
	end

	self:superCall("dispose");
end