Lua_OneJewelItem = class("Lua_OneJewelItem", Lua_DisplayObject);
function Lua_OneJewelItem:ctor(p)
	self:superCall("ctor", p, "OneJewelItem_skin");
end

function Lua_OneJewelItem:setParam(index, obj)
	if obj ~= nil and obj.id > 0 then -- 已经镶嵌
		self.bg:setAltas("common_atlas_1", "ui_common_xing_04");

		local tvo = Lua_ToolVo.new(obj.id, 0, 0);
		local attrValue;
		local str = "(";
		for k,v in pairs(tvo.attribute) do
			attrValue = tonumber(v);
			if attrValue ~= 0 then
				str = str..Lua_ThingDefine.getParamName(k).."+"..attrValue;
			end
			str = str.." ";
		end
		str = string.sub(str, 1, string.len(str) - 1);
		str = str..")";
		self.nameTxt.text = tvo.colorName..str;

		self.eSp:setEnable(false);
		self.vipTxt:setEnable(false);
		self.paramTxt:setEnable(false);
	elseif obj ~= nil and obj.id == 0 then -- 没有镶嵌
		self.bg:setAltas("common_atlas_1", "ui_common_xing_03");
		
		self.nameTxt.text = "["..Lua_ColorDefine.RED_STR.."]"..LanUtil.getValue(110846).."[-]";
		
		self.eSp:setEnable(false);
		self.vipTxt:setEnable(false);
		self.paramTxt:setEnable(false);
	else -- 没有开启
		self.bg:setAltas("common_atlas_1", "ui_common_xing_03");

		self.nameTxt.text = "["..Lua_ColorDefine.RED_STR.."]"..LanUtil.getValue(110846).."[-]";

		self.eSp:setEnable(true);
		if index == 3 then
			self.paramTxt.text = LanUtil.getValue(110591);

			self.vipTxt:setEnable(false);
			self.paramTxt:setEnable(true);
		elseif index == 4 then
			self.paramTxt.text = LanUtil.getValue(110592);

			self.vipTxt:setEnable(false);
			self.paramTxt:setEnable(true);
		elseif index == 5 then
			self.vipTxt.text = LanUtil.getValue(110849);

			self.vipTxt:setEnable(true);
			self.paramTxt:setEnable(false);
		elseif index == 6 then
			self.paramTxt.text = LanUtil.getValue(120554);

			self.vipTxt:setEnable(false);
			self.paramTxt:setEnable(true);
		else
			self.vipTxt:setEnable(false);
			self.paramTxt:setEnable(false);
		end
	end
end